﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.ServiceModel.Security;
using HLWebPluginHost.Models;

namespace HLWebPluginHost.Controllers
{
    public class AlgorithmClassController : Controller
    {
        //
        // GET: /AlgorithmClass/

        public ActionResult Index() {
            //create list of algorithms
            OKBService.OKBServiceClient sc = new OKBService.OKBServiceClient();
            sc.ClientCredentials.UserName.UserName = "Gerhard";
            sc.ClientCredentials.UserName.Password = "Gerhard";
            sc.ClientCredentials.ServiceCertificate.Authentication.CertificateValidationMode = X509CertificateValidationMode.None;

            var agcList = new List<OKBService.AlgorithmClass>();
            OKBService.AlgorithmClass[] ac = sc.GetAlgorithmClasses();
            foreach (OKBService.AlgorithmClass a in ac) {
                agcList.Add(a);
            }//foreach

            var viewModel = new AlgorithmClassModel {
                NumOfClasses = agcList.Count(),
                AlgorithmClassList = agcList
            };

            return View(viewModel);
        }//index

        //
        // GET: /AlgorithmClass/Browse

        public string Browse() {
            string message = "AlgorithmClass.Browse, id = " + Server.HtmlEncode(Request.QueryString["id"]);
            return Server.HtmlEncode(message);
        }//index

        //
        // GET: /AlgorithmClass/Details/2

        public string Details(int id) {
            string message = "AlgorithmClass.Details, id = " + id;
            return Server.HtmlEncode(message);
        }//index

    }
}
